require 'sketchup.rb'

def chrisglasierScenes
      
  @dlg = UI::WebDialog.new("Scene machine", true, "Scene machine", 300, 205, 0, 0, true)

  fileName = "sceneTest.htm"
  @dlg.set_file File.join(File.dirname(__FILE__), fileName)

  ########## SCENES ##########
  @dlg.add_action_callback("sceneCount") {|d, param|
    begin	
      model = Sketchup.active_model
      pages = model.pages
      count = pages.count
      cmd   = "receiveSceneCount('#{count}');"
      puts cmd
      @dlg.execute_script (cmd)   
    rescue =>e
      puts e
    end
  }


  ##### SCENE ADD
  @dlg.add_action_callback("sceneScenesAdd") {|d, param|
    begin
      model = Sketchup.active_model
      pages = model.pages
      pages.add param   
    rescue => e
      puts e
    end
  }


  @dlg.show()

end 

if (not file_loaded?("sceneTest.rb"))
    
  UI.menu("Plugins").add_item("sceneTest" ){ chrisglasierScenes }
	
end
	
file_loaded("sceneTest.rb")   



      


      
    